library("testthat")

points_for_all_tests(character(0))

test("preMeans is approximately correct", character(0), {
  expect_equivalent(preMeans, c(2470, 2240, 2220), tolerance=10, scale=1)
})

test("postMeans is approximately correct", character(0), {
  expect_equivalent(postMeans, c(2670, 2500, 2270), tolerance=10, scale=1)
})

test("pairtest('Group1') returns approximately correct value", character(0), {
  expect_equivalent(pairtest('Group1'), 0.0097, tolerance=0.0001, scale=1)
})

test("pvals is approximately correct", character(0), {
  expect_equivalent(pvals, c(0.0097, 0.0003, 0.1669), tolerance=0.0001, scale=1)
})
